Package org.eclipse.emf.cdo.common

## Interface CDOCommonView

- All Superinterfaces:
    `CDOBranchPoint`, `CDOBranchProvider`, `CDOLockOwner`, `CDORevisionProvider`, `CDOTimeProvider`, `org.eclipse.net4j.util.collection.Closeable`, `IAdaptable`, `org.eclipse.net4j.util.options.IOptionsContainer`, `org.eclipse.net4j.util.properties.IPropertiesContainer`
  All Known Subinterfaces:
    `CDOCommonTransaction`, `CDOTransaction`, `CDOView`, `InternalCDOTransaction`, `InternalCDOView`, `InternalTransaction`, `InternalView`, `ITransaction`, `IView`
  All Known Implementing Classes:
    `CDOPushTransaction`

      public interface CDOCommonView
      extends CDOLockOwner, CDOBranchPoint, CDORevisionProvider, org.eclipse.net4j.util.options.IOptionsContainer, org.eclipse.net4j.util.properties.IPropertiesContainer, IAdaptable, org.eclipse.net4j.util.collection.Closeable

  Abstracts the information about CDO views that is common to both client and server side.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `CDOCommonView.Options` | Encapsulates the configuration options of CDO views that are common to both client and server side.

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDurableLockingID()` |
    `CDOCommonSession` | `getSession()` |
    `int` | `getViewID()` |
    `boolean` | `isHistorical()` |
    `boolean` | `isReadOnly()` |
    `CDOCommonView.Options` | `options()` | Returns the `options` of this view.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockOwner

      `getSessionID, isDurableView`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

- - ### Method Detail

    - #### getViewID

          int getViewID()

      Specified by:
        `getViewID` in interface `CDOLockOwner`
      Returns:
        the ID identifying the view within the session

    - #### isReadOnly

          boolean isReadOnly()

      Since:
        3.0

    - #### isHistorical

          boolean isHistorical()

      Since:
        4.5

    - #### getSession

          CDOCommonSession getSession()

    - #### getDurableLockingID

          java.lang.String getDurableLockingID()

      Specified by:
        `getDurableLockingID` in interface `CDOLockOwner`
      Since:
        4.0

    - #### options

          CDOCommonView.Options options()

      Returns the `options` of this view.
      Specified by:
        `options` in interface `org.eclipse.net4j.util.options.IOptionsContainer`
      Since:
        4.1